ncplogin(8)

NAME
ncplogin - establishes identity to the Netware server or tree

SYNOPSIS
ncplogin [OPTIONS]

DESCRIPTION
ncplogin and ncpmap provide a way for you to split the ncpmount operation into halves, with ncplogin establishing your identity to the server or tree. ncpmap mounts it later.

OPTIONS
-T tree Tree name to be used. -S server Server name to be used. The -S and -T options are mutually exclusive. -X name_ctx Default name context to be used. -E Echoes the value of final mount_point. -U username Username sent to server. -u uid Uid given the mounted files. -g gid Gid given the mounted files. -c uid Uid to identify the connection on which to mount. Only appropriate for root. -C Do not convert password to uppercase. -P password Use this password. -n Do not use any password. If neither -P nor -n is given, you are asked for a password. -f mode Permission given the files, in octal notation. -d mode Permission given the directories, in octal notation. -t time_out Time, in 1/100s of a second, to wait for an answer from the server. Default is 60. -r retry_count Number of retry attempts. Default is 5. -s Enable renaming and deletion of read-only files. -h Print the help text. -v Print ncpfs version number. -i level Signature level. 0 = never, 1 = supported, 2 = preferred, 3 = required. -N os2,nfs Do not use the specified namespaces on mounted volume. -y charset Character set used for input and display. -p codepage Codepage used on volume, including letters "cp." -B bcast Broadcast mode. 0 = all 1 = console 2 = none. Default is all. -l Autocreate mounting point if needed in /mnt/ncp/SERVER/VOLUME.

SECURITY
ncplogin must be setuid to permit non-root users use of it. In these cases, mounting ncpfs will enforce nodev and nosetuid mount options.

SEE ALSO
ncpmap(1), ncpmount(8)

AUTHOR
Manpage written by Rodrigo Rubira Branco <rrbranco@br.ibm.com> with help from Petr Vandrovec <petr@vandrovec.name>.